ranges::views::replace_if_fn Struct Reference
Inheritance diagram for ranges::views::replace_if_fn:

## Synopsis of methods

constexpr replace_if_fn | replace_if {}

## Public Member Functions

template<typename Pred , typename Val >
constexpr auto | operator() (Pred pred, Val new_value) const
Public Member Functions inherited from ranges::views::replace_if_base_fn
template<typename Rng , typename Pred , typename Val >

CPP_TEMPLATE_AUX_0

c (requires ` viewable_range< Rng > &&input_range< Rng > &&indirect_unary_predicate< Pred, iterator_t< Rng >> &&common_with< detail::decay_t< unwrap_reference_t< Val const & >>, range_value_t< Rng >> &&common_reference_with< unwrap_reference_t< Val const & >, range_reference_t< Rng >> &&common_reference_with< unwrap_reference_t< Val const & >, range_rvalue_reference_t< Rng >>) ccconstexpr replace_if_view< all_t< Rng >

CPP_TEMPLATE_AUX_0 Val | operator() (Rng &&rng, Pred pred, Val new_value) const

## Additional Inherited Members

Public Attributes inherited from ranges::views::replace_if_base_fn
CPP_TEMPLATE_AUX_0 | Pred